#
# spec file for package python-proboscis
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-proboscis
Version:        1.2.6.0
Release:        8.1
License:        Apache-2.0
Summary:        Extends Nose with certain TestNG like features
Url:            https://github.com/rackspace/python-proboscis
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/proboscis/proboscis-%{version}.tar.gz
BuildRequires:  python-devel
# Test requirements:
BuildRequires:  python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Proboscis is a Python test framework that extends Python's built-in unittest module and Nose with features from TestNG.

%prep
%setup -q -n proboscis-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Oct 18 2013 speilicke@suse.com
- Initial version
